--- gcc-config-1.8/gcc-config
+++ gcc-config-1.8/gcc-config
@@ -15,8 +15,9 @@
 trap ":" INT QUIT TSTP
 
 argv0=${0##*/}
-source /etc/init.d/functions.sh || {
-	echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
+functions_script="/lib/gentoo/functions.sh"
+source ${functions_script} || {
+	echo "${argv0}: Could not source ${functions_script}!" 1>&2
 	exit 1
 }
 esyslog() { :; }

From d45de09450ffb63b138bbb7f78cae43e1101e2ec Mon Sep 17 00:00:00 2001
From: Ryan Hill <rhill@gentoo.org>
Date: Tue, 12 May 2015 22:09:28 -0600
Subject: [PATCH] Ignore whitespace when diffing test results.

The amount of whitespace output by ebegin/eend from gentoo-functions
is dynamic (seems to be dependent on terminal width).  Since we can't
predict this we have to ignore all whitespace differences.

URL: https://bugs.gentoo.org/547586
Reported-by: tka <tka@kamph.org>
Signed-off-by: Ryan Hill <rhill@gentoo.org>
---
 tests/run_tests | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/run_tests b/tests/run_tests
index 2ff7d77..397d667 100755
--- a/tests/run_tests
+++ b/tests/run_tests
@@ -44,7 +44,7 @@ cmp_log() {
 	args+=( -e "s|: line [0-9]*: |: |g" )
 	sed "${args[@]}" "${exp}" > "${exp}.tmp"
 	sed "${args[@]}" "${log}" > "${log}.tmp"
-	diff -u "${exp}.tmp" "${log}.tmp" > "${log}.diff"
+	diff -uw "${exp}.tmp" "${log}.tmp" > "${log}.diff"
 	ret=$?
 	rm "${exp}.tmp"
 	return ${ret}
-- 
2.4.4

